> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get retrieves the current onboarding progress for the tenant.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/onboarding
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/onboarding:
    get:
      tags:
        - Onboarding Settings
      summary: Get
      description: Get retrieves the current onboarding progress for the tenant.
      operationId: c1.api.settings.v1.OnboardingSettingsService.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.GetOnboardingSettingsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.OnboardingSettings.Get(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetOnboardingSettingsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.onboardingSettings.get();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.GetOnboardingSettingsResponse:
      description: The GetOnboardingSettingsResponse message.
      properties:
        conversationId:
          description: >-
            The identifier of the onboarding conversation thread, if one is in
            progress.
          type:
            - string
            - 'null'
        intents:
          description: The intents field.
          items:
            type: string
          type:
            - array
            - 'null'
        orgContext:
          oneOf:
            - $ref: '#/components/schemas/c1.api.settings.v1.OnboardingOrgContext'
            - type: 'null'
        status:
          description: The current status of the tenant onboarding process.
          enum:
            - ONBOARDING_STATUS_UNSPECIFIED
            - ONBOARDING_STATUS_NOT_STARTED
            - ONBOARDING_STATUS_IN_PROGRESS
            - ONBOARDING_STATUS_COMPLETE
            - ONBOARDING_STATUS_DISMISSED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Get Onboarding Settings Response
      type: object
      x-speakeasy-name-override: GetOnboardingSettingsResponse
    c1.api.settings.v1.OnboardingOrgContext:
      description: The OnboardingOrgContext message.
      properties:
        industry:
          description: The industry field.
          type:
            - string
            - 'null'
        organizationSize:
          description: The organizationSize field.
          type:
            - string
            - 'null'
      title: Onboarding Org Context
      type: object
      x-speakeasy-name-override: OnboardingOrgContext
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````